<?php
/*------------------------------------------------------------------------
# "Hot Architecture" Joomla template - February, 2010
# Copyright (C) 2010 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/
defined( '_JEXEC' ) or die( 'Restricted access' );
if(!defined('DS')) {
    define("DS", DIRECTORY_SEPARATOR);
}
define( 'YOURBASEPATH', dirname(__FILE__) );

$css_request = false;
if (isset($_GET['css_request'])) {
   if($_GET['css_request'] == "1") $css_request = true;
}
if(!$css_request){
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />

<?php }// module states
		
		$showadvert[1] = $this->countModules('advert1');
		$showadvert[2] = $this->countModules('advert2');
		$showadvert[3] = $this->countModules('advert3');
		$showadvert[4] = $this->countModules('advert4');

		$showuser[5] = $this->countModules('user5');
		$showuser[6] = $this->countModules('user6');
		$showuser[7] = $this->countModules('user7');
		$showuser[8] = $this->countModules('user8');
		
		$showfooter[1] = $this->countModules('footer1');
		$showfooter[2] = $this->countModules('footer2');
		$showfooter[3] = $this->countModules('footer3');
		$showfooter[4] = $this->countModules('footer4');
		
		$showleft = $this->countModules('left');
		$showright = $this->countModules('right');
		$showuser1 = $this->countModules('user1');
		$showuser2 = $this->countModules('user2');
		$showuser3 = $this->countModules('user3');
		$showbreadcrumbs = $this->countModules('breadcrumbs');
		$showcarousel = $this->countModules('carousel');
		
		$uppermodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showadvert[$loop]) { $uppermodules++; }
		}
		
		$bottommodules = 0;
		for ($loop = 5; $loop <= 8; $loop += 1) {
			if($showuser[$loop]) { $bottommodules++; }
		}
		
		$footermodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showfooter[$loop]) { $footermodules++; }
		}
?>

<?php	// template parameters
		
		// template layout
		$copyright = $this->params->get("copyright", "Your Company");
		$templateMessage = $this->params->get("templateMessage");
		$templateWidth = $this->params->get("templateWidth");
		$textDirection = $this->params->get("textDirection", "ltr");
		$columnLeftWidth = 0; $columnRightWidth = 0; $columnLeftPad = 0; $columnRightPad = 0;
		if ($showleft) {
			$columnLeftWidth = $this->params->get("columnLeftWidth"); 
			$columnLeftPad = 15;
		}else{
			$columnLeftWidth = 0;
			$columnLeftPad = 0;
		}
		if ($showright) {
			$columnRightWidth = $this->params->get("columnRightWidth");
			$columnRightPad = 15;
		}else{
			$columnRightWidth = 0;
			$columnRightPad = 0;
		}
		$contentWidth = $templateWidth - $columnLeftWidth - $columnLeftPad - $columnRightWidth - $columnRightPad;
		$overallWidth = $templateWidth;
		
		// add-ons
		$imageReflectionLoad = $this->params->get("imageReflectionLoad");
		$fontResizeLoad = $this->params->get("fontResizeLoad");
		$lightboxLoad = $this->params->get("lightboxLoad");
		$sifrLoad = $this->params->get("sifrLoad");
		
		// template style
		
			// check if in parameters
			$templateStyle = $this->params->get("templateStyle");
			
			// check if it cookie
			if(isset($_COOKIE['Style']))
			{
			$templateStyle = $_COOKIE['Style'];
			}
			
			$templateStyleTest = "";
		
			// check if in link
			if (isset($_GET['style'])) {
				$templateStyleTest = $_GET['style'];
			}
			
			if ($templateStyleTest) { 
				$templateStyle = $templateStyleTest;
				$Month = 2592000 + time(); 
				setcookie(Style, $templateStyle, $Month);
			}
		
		if($templateStyle) {
			
		require(dirname(__FILE__)."/styles/style".$templateStyle.".php");
			
		}else{

		$bodyText = $this->params->get("bodyText");
		$linksColor = $this->params->get("linksColor");
		$buttonColor = $this->params->get("buttonColor");
		
		$bodyBg = $this->params->get("bodyBg");
		$topLineColor = $this->params->get("topLineColor");
		$headerBgColor = $this->params->get("headerBgColor");
		$footerBgColor = $this->params->get("footerBgColor");
		
		$bgStyle = $this->params->get("bgStyle");
		
		$menuAnimationEffect = $this->params->get("menuEffect");	
		$topMenuButton = $this->params->get("topMenuButton");
		$topMenuHoverButton = $this->params->get("topMenuHoverButton");
		$topMenuText = $this->params->get("topMenuText");
		$topMenuHoverText = $this->params->get("topMenuHoverText");
		$topMenuSubBg = $this->params->get("topMenuSubBg");
		$topMenuSubBgHover = $this->params->get("topMenuSubBgHover");
		$topMenuSubText = $this->params->get("topMenuSubText");
		$topMenuSubTextHover = $this->params->get("topMenuSubTextHover");
		
		$breadcrumbsText = $this->params->get("breadcrumbsText");
		$bottomBg = $this->params->get("bottomBg");
		$bottomText = $this->params->get("bottomText");
		$componentHeadingText = $this->params->get("componentHeadingText");
		$headingText = $this->params->get("headingText");
		$headingHoverText = $this->params->get("headingHoverText");
		$columnHeading = $this->params->get("columnHeading");
		$columnText = $this->params->get("columnText");
		
		} ?>

<?php if($css_request){
	header("Content-type: text/css; charset: UTF-8");     
	header("Expires: ".gmdate("D, d M Y H:i:s", time() + 60*60)." GMT");
	require(dirname(__FILE__).DS.'css'.DS.'template_css.php');
	exit;

}else{

		$u = JFactory::getURI();
		$css_url = $u->toString();
		$css_url = strrpos($css_url,'?')? $css_url.'&css_request=1' :  $css_url.'?css_request=1';
		$css_url = $css_url.'&amp;diff='.rand();

?>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_architecture/css/joomla.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_architecture/css/template_css.css" type="text/css" />
<?php if ($textDirection=="rtl") { ?>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_architecture/css/rtl.css" type="text/css" />
<?php } ?>
<?php if($sifrLoad) { ?>
<link href='http://fonts.googleapis.com/css?family=Gruppo' rel='stylesheet' type='text/css'>
<?php } ?>
<link rel="stylesheet" href="<?php echo $css_url; ?>" type="text/css" />

<?php JHtml::_('bootstrap.framework', true); ?>

<!-- top menu -->
<script type="text/javascript">
function mainmenu(){
jQuery(" #nav ul ").css({display: "none"}); // Opera Fix
jQuery(" #nav li ").hover(function(){
		jQuery(this).find('ul:first').css({visibility: "visible",display: "none"}).<?php echo $menuAnimationEffect; ?>;
		},function(){jQuery(this).find('ul:first').css({visibility: "hidden"});	});}
jQuery(document).ready(function(){ mainmenu();});
</script>

<?php if($imageReflectionLoad) { ?>
<!-- reflection -->
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/hot_architecture/js/reflection.js"></script>
<?php } ?>

<?php if($fontResizeLoad) { ?>
<!-- font resizer -->
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/hot_architecture/js/fontResize.js"></script>
<?php } ?>

<?php if($lightboxLoad) { ?><script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/hot_architecture/js/jquery.lightbox-0.5.min.js"></script>
<!-- lightbox -->
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_architecture/css/jquery.lightbox-0.5.css" type="text/css" />
<script type="text/javascript">
	jQuery(function() {
		jQuery('#gallery a').lightBox();
	});
</script>
<?php } ?>

<!--[if IE 6]>
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/hot_architecture/js/pngfix.js"></script>
<script>
  POS_BrowserPNG.fix('img,.content_wrap,ul.checklist li,ul.arrow li,ul.star li,.header_module,.footer_content');
</script>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/hot_architecture/css/ie6only.css" type="text/css" />
<![endif]-->

<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/hot_architecture/js/responsive-nav.min.js"></script>

</head>
<body>
<?php echo ""; ?>
<div class="full_wrapper">
    <div class="topmenu">
    	<div id="header_link"><?php echo $templateMessage; ?></div>
        <div id="topmenu_pad">
            <jdoc:include type="modules" name="top" style="none" />
        </div>
        <?php if($fontResizeLoad) { ?>
        <div id="font_resize">
            <a href="#" class="decreaseFont" title="Font Decrease">
                A-
            </a> |
            <a href="#" class="resetFont" title="Font Reset">
                Reset
            </a> |
            <a href="#" class="increaseFont" title="Font Increase">
                A+
            </a>
        </div>
		<?php } ?>
    </div>
    <div class="clr"></div>
</div>
<div id="header_wrap">
	<div class="header_module">
    	<div class="logo">
        	<div class="logo_pad">
        		<a href="index.php"><img src="<?php echo $this->baseurl ?>/templates/hot_architecture/images/logo.png" width="240" height="71" alt="joomla architecture template" /></a>
            </div>
        </div>
        <div id="header_search">
        	<div class="header_search_pad">
        		<jdoc:include type="modules" name="user4" style="none" />
            </div>
        </div>
        <div class="clr"></div>
        <nav class="topmenu">
        	<jdoc:include type="modules" name="user3" style="none" />
        </nav>
    </div>
</div>
<div id="content_gradient">
    <div class="hotwrapper">
        <?php if ($showbreadcrumbs) { ?>
        <div class="path">
            <div class="path_pad">
                <jdoc:include type="modules" name="breadcrumbs" style="none" />
                <jdoc:include type="modules" name="carousel" style="none" />
            </div>
        </div>
        <?php } ?>
        <?php if ($uppermodules) { ?>
        <div class="upper">
            <?php if($showadvert[1]) { ?>
            <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert1" style="hot" /></div>
            <?php } if($showadvert[2]) { ?>
            <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert2" style="hot" /></div>
            <?php } if($showadvert[3]) { ?>
            <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert3" style="hot" /></div>
            <?php } if($showadvert[4]) { ?>
            <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert4" style="hot" /></div>
            <?php } ?>
            <div class="clr"></div>
        </div>
        <?php } ?>
        <div class="main_area">
            <?php if ($showleft) { ?>
            <div class="column_left<?php if (!$showright) { echo " noright"; } ?>">
                <jdoc:include type="modules" name="left" style="hot" />
            </div>
            <?php } ?>
                <div class="content_wrap">
                        <div class="content_pad">
                            <?php if ($showuser1) { ?>
                            <div class="module_inset">
                                <jdoc:include type="modules" name="user1" style="hot" />
                            </div>
                            <?php } ?>
                            
                                <jdoc:include type="message" />
                                <jdoc:include type="component" />
                            
                            <?php if ($showuser2) { ?>
                            <div class="module_toolbar">
                                <jdoc:include type="modules" name="user2" style="hot" />
                            </div>
                            <?php } ?>
                        </div>
                <div class="clr"></div>
            </div>
            
            <?php if ($showright) { ?>
            <div class="column_right<?php if (!$showright) { echo " noleft"; } ?>">
            	<div class="column_right_pad">
                	<jdoc:include type="modules" name="right" style="xhtml" />
                </div>
            </div>
            <?php } ?>
            <div class="clr"></div>
        </div>
        <?php if ($bottommodules) { ?>
        <div class="bottom">
            <?php if($showuser[5]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user5" style="hot" /></div>
            <?php } if($showuser[6]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user6" style="hot" /></div>
            <?php } if($showuser[7]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user7" style="hot" /></div>
            <?php } if($showuser[8]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user8" style="hot" /></div>
            <?php } ?>
            <div class="clr"></div>
        </div>
        <?php } ?>
    </div>
</div>
<div class="footer_wrap">
	<div class="footer_content">
    	<?php if ($footermodules) { ?>
        <div class="footer_modules">
            <?php if($showfooter[1]) { ?>
            <div class="modulerow<?php echo $footermodules; ?>"><jdoc:include type="modules" name="footer1" style="xhtml" /></div>
            <?php } if($showfooter[2]) { ?>
            <div class="modulerow<?php echo $footermodules; ?>"><jdoc:include type="modules" name="footer2" style="xhtml" /></div>
            <?php } if($showfooter[3]) { ?>
            <div class="modulerow<?php echo $footermodules; ?>"><jdoc:include type="modules" name="footer3" style="xhtml" /></div>
            <?php } if($showfooter[4]) { ?>
            <div class="modulerow<?php echo $footermodules; ?>"><jdoc:include type="modules" name="footer4" style="xhtml" /></div>
            <?php } ?>
            <div class="clr"></div>
        </div>
        <?php } ?>
    </div>
</div>
<div class="footer_wrap_copyright">
    <div class="footer_wrap_copyright_content">
        <div class="footer">
            <div class="footer_pad">
                <jdoc:include type="modules" name="footer" />
            </div>
        </div>
        <div class="footer2">
            <div class="footer_pad">
                <jdoc:include type="modules" name="bottom" style="none" />
                <p class="copyright">Copyright &copy; <?php echo date("Y ").$copyright; ?>. Template by Hot Joomla Templates.</p>
            </div>
        </div><div class="clr"></div>
    </div>
</div>
<div style="clear:both"></div>
<jdoc:include type="modules" name="debug" style="none" />
<script>
	var screenWidth = jQuery(window).width();
	if( screenWidth < 730 ) {
		var navigation = responsiveNav("nav.topmenu");
	}
</script>
</body>
</html>
<?php } // if($css_request) ?>