<?php
/*------------------------------------------------------------------------
# "Hot Architecture" Joomla template - February, 2010
# Copyright (C) 2010 ArhiNet d.o.o. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/

defined('JPATH_BASE') or die;

jimport('joomla.form.formfield');

/**
 * Form Field class for the Joomla Framework.
 *
 * @package		Joomla.Framework
 * @subpackage	Form
 * @since		1.6
 */
class JFormFieldLoader extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	protected $type = 'Loader';

	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 * @since	1.6
	 */
	function getInput(){
		$document = JFactory::getDocument();
		$header_media = $document->addStyleSheet(JURI::root(1) . '/templates/hot_architecture/css/admin.css');
		$header_media .= $document->addScript(JURI::root(1) . '/templates/hot_architecture/js/jscolor.js');
	}
}